<template>
	<header>
		<img alt="Vue logo" src="./assets/logo.png">
		<h4 class="titulo">COMPONENTES ANIDADOS</h4>
	</header>

	<HelloWorld msg="Welcome to Your Vue.js App"/>

	<div class="planes">
		<div v-for="plan in planes" class="plan" @click="addToList(plan)">
			<Plan :titulo="plan" />
		</div>
	</div>

	<hr>

	<div class="lista">
		<div v-for="plan in lista">
			{{ plan }}
		</div>
	</div>
</template>

<script>
import Plan from "@/components/Plan";

export default {
	name: 'App',
	components: {
		Plan
	},
	data() {
		return {
			planes: [
				'Plan 1 - Principiante',
				'Plan 2 - Intermedio',
				'Plan 3 - Avanzado',
				'Plan 4 - Hackers'
			],
			lista: [],
		}
	},
	methods: {
		addToList(plan) {
			this.lista.push(plan)
		},
	}
}
</script>

<style>
header {
	display: flex;
	flex-flow: column;
	align-items: center;
}
header img {
	max-width: 128px;
	margin-top: 20px;
}


#app {
	font-family: Avenir, Helvetica, Arial, sans-serif;
}
.subtitulo {
	margin: .7rem auto;
	font-weight: 300;
	font-size: 1.5rem;
	text-align: center;
	line-height: 1.5;
	letter-spacing: 0;
	max-width: 500px;
	color: #5c6162
}

.planes {
	padding: 0 40px;
	margin-bottom: 40px
}

.planes .plan {
	background-color: #fff;
	box-shadow: 0 2px 4px 0 rgba(0, 0, 0, .1);
	margin: 1rem 0;
	border-radius: .25rem;
	justify-content: space-between;
	cursor: pointer;
	position: relative;
	transition: all .3s ease
}

.planes .plan>.descripcion {
	width: 60%;
	padding: 1rem
}
.planes .plan>.descripcion .titulo {
	color: #3d4852;
	text-align: center;
	display: block;
	font-weight: 700;
	margin-bottom: .25rem
}

.planes .plan-activo,
.planes .plan:hover {
	box-shadow: 0 10px 20px 0 rgba(95, 6, 6, 0.11), 0 5px 15px 0 rgba(61, 4, 4, 0.08);
	background-color:coral
}

/*.planes .plan-activo:after,
.planes .plan:hover:after {
	border-width: 2px;
	border-color: #df0d4c;
	border-radius: .25rem;
	content: "";
	position: absolute;
	display: block;
	top: 0;
	bottom: 0;
	left: 0;
	right: 0
}*/
</style>